> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/projects/{projectId}/tax-settings
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/tax-settings:
    get:
      tags:
        - Project Tax Settings
      summary: Read
      operationId: ProjectTaxSettingsController_read_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectTaxSettingsResponseDto'
components:
  schemas:
    ProjectTaxSettingsResponseDto:
      type: object
      properties:
        templateId:
          type:
            - string
            - 'null'
        revision:
          type: number
        libraryRevision:
          type: number
        overrides:
          $ref: '#/components/schemas/TaxOverridesResponseDto'
        effectiveTaxSettings:
          $ref: '#/components/schemas/EffectiveTaxSettingsResponseDto'
        inheritedTaxSettings:
          $ref: '#/components/schemas/EffectiveTaxSettingsResponseDto'
      required:
        - templateId
        - revision
        - libraryRevision
        - overrides
        - effectiveTaxSettings
        - inheritedTaxSettings
    TaxOverridesResponseDto:
      type: object
      properties:
        purchaseTaxRate:
          type:
            - string
            - 'null'
        clientSalesTaxRate:
          type:
            - string
            - 'null'
        purchaseTaxLabel:
          type: string
        clientSalesTaxLabel:
          type: string
        purchaseTaxExempt:
          type: boolean
        listPriceIncludesPurchaseTax:
          type: boolean
        useSameTaxRate:
          type: boolean
    EffectiveTaxSettingsResponseDto:
      type: object
      properties:
        sources:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/TaxSettingSourceResponseDto'
        values:
          $ref: '#/components/schemas/TaxSettingsValuesResponseDto'
      required:
        - sources
        - values
    TaxSettingSourceResponseDto:
      type: object
      properties:
        kind:
          enum:
            - item_override
            - project_override
            - applied_template
            - workspace_default
          type: string
        templateId:
          type: string
          description: Present for template-derived values.
        templateName:
          type: string
          description: Present for template-derived values.
      required:
        - kind
    TaxSettingsValuesResponseDto:
      type: object
      properties:
        purchaseTaxRate:
          type:
            - string
            - 'null'
          pattern: ^(?:0\.\d{6}|1\.000000)$
        clientSalesTaxRate:
          type:
            - string
            - 'null'
          pattern: ^(?:0\.\d{6}|1\.000000)$
        purchaseTaxLabel:
          type: string
        clientSalesTaxLabel:
          type: string
        purchaseTaxExempt:
          type: boolean
        listPriceIncludesPurchaseTax:
          type: boolean
        useSameTaxRate:
          type: boolean
      required:
        - purchaseTaxRate
        - clientSalesTaxRate
        - purchaseTaxLabel
        - clientSalesTaxLabel
        - purchaseTaxExempt
        - listPriceIncludesPurchaseTax
        - useSameTaxRate

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.